# Player deck configurations (iOS)

Here is how you can customize the player deck configurations for `PlayerDeckView/PlayerDeckSwiftUIView` instances, as illustrated in the code below.

```swift
var config = PlayerDeckContentConfiguration()

// Specifies the background color to be used for the feed background
config.backgroundColor = .white
// Specifies additional insets to be excluded from the viewport. This allows for further refinement of the viewport beyond just the safe area insets. The resulting viewport is calculated by subtracting the combined insets of the safe area and `additionalViewportExcludedInset` from the screen bounds.
config.additionalViewportExcludedInset = UIEdgeInsets(
    top: 0,
    left: 0,
    bottom: 50,
    right: 0
)
// Specifies the corner radius to be applied to the item
config.itemView.cornerRadius = 4

// Specifies if the play icon should be hidden on the item
config.itemView.playIcon.isHidden = false
// Specifies the width of the play icon on the item
config.itemView.playIcon.iconWidth = 30

// Specifies if the sponsored label should be shown on thumbnails
config.itemView.sponsored.isHidden = false

// Specifies if autoplay is enabled on thumbnails.
config.itemView.autoplay.isEnabled = true

/// Specifies if the share button is hidden or not as well customizes the UIActivity instances it displays
config.itemView.shareButton.isHidden = false

/// Specifies the subtitle configuration
config.itemView.subtitleConfiguration.textColor = .white

/// Specifies the player full screen configuration
config.itemView.playerFullScreen.isEnabled = true

// Configure the background color of the ad badge.
// This is also applied to player.
config.adBadge.backgroundColor = .white
// Configure the text color of the ad badge
// This is also applied to player.
config.adBadge.textColor = .black
// Configure the text(Sponsored or Ad) of the ad badge
// This is also applied to player.
config.adBadge.badgeText = .ad

// Apply the changes for PlayerDeckView instance
let playerDeckView = PlayerDeckView()
playerDeckView.viewConfiguration = config

// Apply the changes for PlayerDeckSwiftUIView instance
PlayerDeckSwiftUIView(viewConfiguration: config)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.firework.com/firework-for-developers/ios-sdk/integration-guide-for-ios-sdk/customization-ios/player-deck-configurations-ios.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
